/*
 *   Xfrisk - The classic board game for X
 *   Copyright (C) 1993-1999 Elan Feingold (elan@aetherworks.com)
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *   $Id: client.h,v 1.12 2003/07/14 01:17:10 morphy Exp $
 */

#ifndef CLIENT_H
#define CLIENT_H

#include "types.h"

void   CLNT_Init( int argc, CString *argv );
void   CLNT_Connect( void );
Int32  CLNT_AllocPlayer( void (*pfMsgHandler)(const Msgs *) );
void   CLNT_FreePlayer( Int32 i );
void   CLNT_RecoverFailure( CString strReason, Int32 iCommLink );
void   CLNT_PreViewVector( const Msgs *pMess );
void   CLNT_PostViewVector( const Msgs *pMess );

/* Methods */
Int32  CLNT_GetLightCountOfCountry( Int32 iCountry );
void   CLNT_SetLightCountOfCountry( Int32 iCountry, Int32 iCount );
Int32  CLNT_GetThisClientID( void );

void   CLNT_Usage( const char *progname );
void   CLNT_Version( const char *progname );

#endif /* CLIENT_H */

/* End of file */
