/*
 *   Xfrisk - The classic board game for X
 *   Copyright (C) 1993-1999 Elan Feingold (elan@aetherworks.com)
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *   $Id: clients.h,v 1.13 2003/05/13 23:32:56 sketch Exp $
 */

/** \file
 * Interface definitions for client list.
 */

#ifndef CLIENTS_H
#define CLIENTS_H

#include "riskgame.h"
#include "types.h"

Int32   CLIENTS_Alloc( void );
CString CLIENTS_GetAddress( Int32 iNumClient );
Int32   CLIENTS_GetAllocationState( Int32 iNumClient );
Int32   CLIENTS_GetCommLinkOfClient( Int32 iNumClient );
Int32   CLIENTS_GetCommLinkToClient( Int32 iCommLink );
Int32   CLIENTS_GetFailureCount( Int32 iNumClient );
Int32   CLIENTS_GetNumFailures( void );
CString CLIENTS_GetFailureReason( Int32 iNumClient );
Int32   CLIENTS_GetNumClients( void );
Int32   CLIENTS_GetNumClientsStarted( void );
Int32   CLIENTS_GetSpecies( Int32 iNumClient );
Int32   CLIENTS_GetStartState( Int32 iNumClient );
Int32   CLIENTS_GetType( Int32 iNumClient );
void    CLIENTS_Init( void );
void    CLIENTS_ResetFailure( Int32 iNumClient );
void    CLIENTS_SetAddress( Int32 iNumClient, CString strAddress );
void    CLIENTS_SetAllocationState( Int32 iNumClient, Int32 iState );
void    CLIENTS_SetCommLink( Int32 iNumClient, Int32 iCommLink );
void    CLIENTS_SetFailure( Int32 iNumClient, CString strReason );
void    CLIENTS_SetNumClients( Int32 iClients );
void    CLIENTS_SetNumFailures( Int32 num );
void    CLIENTS_SetSpecies( Int32 iNumClient, Int32 iSpecies );
void    CLIENTS_SetType( Int32 iNumClient, Int32 iType );
void    CLIENTS_SetStartState( Int32 iNumClient, Int32 iState );
void    CLIENTS_TellAboutOthers( Int32 iCommLink, Int32 iClientType );

#endif /* CLIENTS_H */

/* End of file  */
