/*
 *   Xfrisk - The classic board game for X
 *   Copyright (C) 1993-1999 Elan Feingold (elan@aetherworks.com)
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *   $Id: gui-vars.h,v 1.10 2003/07/11 16:41:58 morphy Exp $
 */

#ifndef GUI_VARS_H
#define GUI_VARS_H

#include <X11/X.h>
#include <X11/Intrinsic.h>

#include "riskgame.h"
#include "colormap.h"

extern Widget   wToplevel;
extern Widget   wForm;
extern Widget   wControls;
extern Widget   wAttackLabel;
extern Widget   wAttackList;
extern Widget   wActionLabel;
extern Widget   wActionList;
extern Widget   wMsgDestLabel;
extern Widget   wMsgDestList;
extern Widget   wMsgDestViewport;
extern Widget   wSendMsgText;
extern Widget   wMsgText;
extern Widget   wPlayField;
extern Widget   wCommentLabel;
extern Widget   wQuitButton;
extern Widget   wRepeatButton;
extern Widget   wCancelAttackButton;
extern Widget   wHelpButton;
extern Widget   wShowCardsButton;
extern Widget   wEndTurnButton;
extern Widget   wDiceBox;
extern Widget   wErrorLabel;

/* Move to cardView.c */
extern Widget   wCardShell;
extern Widget   wCardForm;
extern Widget   wCardTableBox;
extern Widget   wCardViewport;
extern Widget   wCardToggle[ MAX_CARDS ];
extern Widget   wExchangeButton;
extern Widget   wCancelCardsButton;

/* Move somewhere... */ 
extern Widget   wArmiesShell;
extern Widget   wArmiesForm;
extern Widget   wArmiesLabel;
extern Widget   wArmiesText;
extern Widget   wFinishArmiesButton;
extern Widget   wCancelArmiesButton;

/* Move to helpView.c */
extern Widget   wHelpShell;
extern Widget   wHelpForm;
extern Widget   wHelpTopicViewport;
extern Widget   wHelpTopicList;
extern Widget   wHelpTopicLabel;
extern Widget   wHelpText;
extern Widget   wHelpOkButton;
extern Widget   wHelpLabel;

/* Move to dialog.c */
extern Widget   wAboutButton;

/* Global variables */
extern XImage          *pMapImage;
extern Pixmap           pixMapImage;
extern Display         *hDisplay;
extern Window           hWindow;
extern int              iScreen;
extern GC               hGC;
extern GC               hGC_XOR;
extern XFontStruct     *pFont;
extern XtAppContext     appContext;
extern Visual          *pVisual;
extern Int32            iVisualCount;
extern Arg              pVisualArgs[ 3 ];

#endif /* GUI_VARS_H */

/* End of file */
