/*
 *   Xfrisk - The classic board game for X
 *   Copyright (C) 1993-1999 Elan Feingold (elan@aetherworks.com)
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *   $Id: language.h,v 1.20 2003/05/13 23:32:56 sketch Exp $
 */

#ifndef LANGUAGE_H
#define LANGUAGE_H

/*
 * English strings
 */
#define HUMAN               "Human"
#define UNKNOWN             "Unknown"
#define PINK_CREATURE       "Hairless pink creature with self-destructive tendencies."

/* Countries */
#define NORTH_AMERICA       "North America"
#define SOUTH_AMERICA       "South America"
#define AFRICA              "Africa"
#define AUSTRALIA           "Australia"
#define ASIA                "Asia"
#define EUROPE              "Europe"
#define GREENLAND           "Greenland"
#define ICELAND             "Iceland"
#define SIBERIA             "Siberia"
#define URAL                "Ural"
#define ALASKA              "Alaska"
#define NORTHWEST           "Northwest Territories"
#define IRKUTSK             "Irkutsk"
#define SCANDINAVIA         "Scandinavia"
#define UKRAINE             "Ukraine"
#define KAMCHATKA           "Kamchatka"
#define QUEBEC              "Quebec"
#define ONTARIO             "Ontario"
#define ALBERTA             "Alberta"
#define YAKUTSK             "Yakutsk"
#define GREAT_BRITAIN       "Great Britain"
#define AFGHANISTAN         "Afghanistan"
#define NORTHERN_EUROPE     "Northern Europe"
#define WEST_STATES         "Western United States"
#define EAST_STATES         "Eastern United States"
#define WEST_EUROPE         "Western Europe"
#define SOUTH_EUROPE        "Southern Europe"
#define MONGOLIA            "Mongolia"
#define CHINA               "China"
#define JAPAN               "Japan"
#define MIDDLE_EAST         "Middle East"
#define CENTRAL_AMERICA     "Central America"
#define NORTH_AFRICA        "Northern Africa"
#define EGYPT               "Egypt"
#define INDIA               "India"
#define SIAM                "Siam"
#define EAST_AFRICA         "Eastern Africa"
#define INDONESIA           "Indonesia"
#define VENEZUELA           "Venezuela"
#define BRASIL              "Brazil"
#define PERU                "Peru"
#define CONGO               "Congo"
#define NEW_GUINEA          "New Guinea"
#define SOUTH_AFRICA        "South Africa"
#define WESTERN_AUSTRALIA   "Western Australia"
#define EASTERN_AUSTRALIA   "Eastern Australia"
#define MADAGASCAR          "Madagascar"
#define ARGENTINA           "Argentina"

/* Messages */
#define HELLO_NEW           "Hello new client, you are"
#define BEGINNING           "Clients have finished registering, beginning game."
#define SERVERNAME          "Server"
#define BEING_UPDATED       "is being updated."
#define NEW_CLIENT          "A new client"
#define NEW_AI              "A new AI client"
#define CLIENT              "The client"
#define IS_REGISTERED       "is registered"
#define CLIENT_MISMATCH     "Client version mismatch"
#define ERROR_PROTOCOL      "Error in protocol"
#define IGNORE_CLIENT       "Ignoring wanna-be client."
#define SERVER_STARTING     "Starting Xfrisk"
#define HAS_DEREGISTERED    "has deregistered."
#define HAS_REGISTERED      "has registered"
#define NO_ROOM             "Unable to allocate room for new client!"
#define GAME_OVER           "The game is over: a live player (or an entire client) left the game"
#define FINISHED_REGISTRY   "has finished registering players."
#define CLIENT_DEAD         "considered dead (it sent a bogus message.)\n"
#define ERR_PORT_IN_USE     " is already in use.  Perhaps a\n server is already running, or else a server crashed\n badly, in which case you will probably have to wait\n a few minutes till the port clears.  I'm exiting.\n"
#define SERVER_CONNECT_FAILED "Connect to client failed, it's lost."
#define ERR_COMMLINK        "CLIENT: Cannot create CommLink."
#define ERR_UNKNOWN_HOST    "CLIENT: The host `%s' is unknown."

#define ERR_COULD_NOT_CONNECT "CLIENT: Cannot connect to a Xfrisk server on `%s'.\n" \
                              "        One probably needs to be started by running\n" \
                              "        `friskserver' on the machine.\n"

#define MSG_CONNECTED       "CLIENT: Connected to server.\n"
#define MSG_WAITING_SRV_ID  "CLIENT: Waiting for server to send client ID..."
#define MSG_DONE            "Done.\n"
#define ERR_SERVER_FULL     "CLIENT: Can't join, server is full! I'm impressed..."
#define ERR_PROTOCOL_MISMATCH "CLIENT: Server is not following protocol!"
#define ERR_SERVER_FAILED   "CLIENT: The server has failed (%s)\n"
#define ERR_NONRECOVERABLE  "CLIENT: Cannot recover from this, future version will.\n"
#define ERR_OBJECT_FAILURE  "Object Failure"
#define ERR_SRV_NONRECOVERABLE "The server has failed, cannot recover."
#define INVALID_MESSAGE     "The server received an invalid message from me."
#define ERR_COMMFAILED      "SERVER: CommLink operation failed, recovering.\n"
#define TXT_HANDLED_FAILURE "SERVER: Successfully handled client failure.\n"
#define TXT_SEND_FAILED     "SendMessage failed."
#define TXT_RECEIVE_FAILED  "ReceiveMessage failed."
#define TXT_CANT_OPEN       "CARDS: Cannot open"
#define TXT_CARDS_NUMCOUNTRIES "CARDS: Wrong number of countries!"
#define TXT_FATAL_ERROR     "Fatal Error"
#define TXT_ONLY_CURRENT    "Only the current player may exchange cards!"
#define TXT_BE_FORTIFIED    "will be fortified"

#endif /* LANGUAGE_H */

/* End of file */
