/*
 *   Xfrisk - The classic board game for X
 *   Copyright( C ) 1993-1999 Elan Feingold( elan@aetherworks.com )
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   ( at your option ) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *   $Id: usage.c,v 1.5 2003/07/14 10:37:38 sketch Exp $
 */

static const char
    rcsid[] = "@(#)$Id: usage.c,v 1.5 2003/07/14 10:37:38 sketch Exp $";

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <stdio.h>
#include <stdlib.h>

void CLNT_Usage( const char *progname );
void CLNT_Version( const char *progname );

/**
 * Warn of erroneous arguments and exit.
 */
void CLNT_Usage( const char *progname )
    {
    fprintf( stderr, "Usage: %s [-l <logfile>] [-v] <server_host>\n", progname );
    exit( -1 );
    }
/**
 * Print client version.
 */
void CLNT_Version( const char *progname )
    {
    fprintf( stderr, "%s version: %s\n", progname, VERSION );
    }
